/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '../../../../../styles/plateg-variables.less';
.filter-row {
  .ant-select-arrow {
    color: unset;
    height: 100%;
    top: 65%;
    align-items: normal;
    margin-top: -0.7rem;
    svg {
      height: 0.6rem;
    }
  }
  .ant-select {
    &.filter-select,
    &.sorter-select {
      width: 260px;
      margin-right: 19px;
      height: 32px;
      .ant-select-item-option-selected:not(.ant-select-item-option-disabled) {
        color: #000;
        font-weight: 600;
        background-color: #e6f7ff;
      }
    }
    .ant-select-selector {
      height: 32px !important;
      border: 1px solid @platform-blue2;
      border-radius: 0 !important;
      box-shadow: none;
      .ant-select-selection-item,
      .ant-select-selection-placeholder {
        line-height: 32px;
        font-size: 1.4rem !important;
        color: @platform-text-color !important;
      }
    }
  }
  .ant-select-single.ant-select-open {
    .ant-select-selector {
      .ant-select-selection-item {
        color: unset;
      }
    }
  }
  .sorter-label,
  .filter-label {
    display: block;
    line-height: 26px;
    margin-top: 1px;
    font-size: 1.4rem !important;
  }
  .sorter-item {
    margin-right: 0;
    margin-left: auto;
  }
  .sorter-select {
    margin-right: 0 !important;
    min-width: 185px;
    .ant-select-selector {
      padding-left: 0.6rem;
    }
  }
  margin-bottom: 19px;
}

.filter-option {
  font-size: 1.4rem !important;
}

.filter-option.ant-select-item-option-selected:not(.ant-select-item-option-disabled) {
  color: unset;
  font-weight: normal;
  background-color: unset;
}

.filter-option.ant-select-item-option-active:not(.ant-select-item-option-disabled) {
  background-color: @platform-blue4!important;
}

.ant-select:not(.ant-select-disabled):hover .ant-select-selector,
.ant-select:not(.ant-select-disabled):focus .ant-select-selector,
.ant-select-focused:not(.ant-select-disabled).ant-select-single:not(.ant-select-customize-input) .ant-select-selector {
  border: 2px solid #0032d9;
  box-shadow: inset 0px 0px 0px 1px #4065e2;
}
